net.minecraft.client.multiplayer

## Class ServerData

- java.lang.Object
- - net.minecraft.client.multiplayer.ServerData

-     public class ServerData
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `field_78841_f`
    `int` | `field_82821_f`
    `String` | `gameVersion` Game version for this server.
    `long` | `pingToServer` last server ping that showed up in the server browser
    `String` | `populationInfo` the string indicating number of players on and capacity of the server that is shown on the server browser (i.e.
    `String` | `serverIP`
    `String` | `serverMOTD` (better variable name would be 'hostname') server name as displayed in the server browser's second line (grey text)
    `String` | `serverName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerData(String par1Str, String par2Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `func_78840_c()`
    `boolean` | `getAcceptsTextures()`
    `NBTTagCompound` | `getNBTCompound()` Returns an NBTTagCompound with the server's name, IP and maybe acceptTextures.
    `static ServerData` | `getServerDataFromNBTCompound(NBTTagCompound par0NBTTagCompound)` Takes an NBTTagCompound with 'name' and 'ip' keys, returns a ServerData instance.
    `boolean` | `isHidingAddress()`
    `void` | `setAcceptsTextures(boolean par1)`
    `void` | `setHideAddress(boolean par1)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serverName

          public String serverName

    - #### serverIP

          public String serverIP

    - #### populationInfo

          public String populationInfo

      the string indicating number of players on and capacity of the server that is shown on the server browser (i.e. "5/20" meaning 5 slots used out of 20 slots total)

    - #### serverMOTD

          public String serverMOTD

      (better variable name would be 'hostname') server name as displayed in the server browser's second line (grey text)

    - #### pingToServer

          public long pingToServer

      last server ping that showed up in the server browser

    - #### field_82821_f

          public int field_82821_f

    - #### gameVersion

          public String gameVersion

      Game version for this server.

    - #### field_78841_f

          public boolean field_78841_f

  - ### Constructor Detail

    - #### ServerData

          public ServerData(String par1Str,
                    String par2Str)

  - ### Method Detail

    - #### getNBTCompound

          public NBTTagCompound getNBTCompound()

      Returns an NBTTagCompound with the server's name, IP and maybe acceptTextures.

    - #### getAcceptsTextures

          public boolean getAcceptsTextures()

    - #### func_78840_c

          public boolean func_78840_c()

    - #### setAcceptsTextures

          public void setAcceptsTextures(boolean par1)

    - #### isHidingAddress

          public boolean isHidingAddress()

    - #### setHideAddress

          public void setHideAddress(boolean par1)

    - #### getServerDataFromNBTCompound

          public static ServerData getServerDataFromNBTCompound(NBTTagCompound par0NBTTagCompound)

      Takes an NBTTagCompound with 'name' and 'ip' keys, returns a ServerData instance.